﻿© Fluke Calibration. All Rights Reserved.                  MET/CAL Procedure
=============================================================================
INSTRUMENT:            LeCroy WR44Xi: (1 yr) VER IEEE /5500A+SC600,DMM
DATE:                  2011-11-28 08:41:38
AUTHOR:                Fluke
REVISION:              $Revision: 18063 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       339
CONFIGURATION:         Fluke 5500A (S6)
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        VY
# 
#  Source(s):
#        Chapter 5 - WRXi Performance Verification Rev D.pdf
#        Chapter 5 - WRXi Performance Verification Test Record rev D.pdf
# 
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Additional Equipment Required:
#        Cable, 50 Ohm, BNC(m)-(m)
#        BNC female to double stacking banana plug, Pomona 1269
# 
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5500         400.1MH                      1Vpp           LS S6 S  L
  1.003  IEEE         [@DMM]
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V

  1.012  CALL         Sub Display Copyright
  1.013  CALL         Sub High Voltage Safety Warning
  1.014  CALL         Sub Select Failed Test Mode
  1.015  CALL         Sub Select Verification Method (No NTHROW)

  1.016  DISP         Ensure a minimum UUT warm-up time of at least
  1.016  DISP         20 minutes has been allowed to elapse, prior
  1.016  DISP         to beginning verification.

  1.017  HEAD         PRELIMINARY INSTRUCTIONS
  1.018  CALL         Sub LeCroy WS-GPIB Connection
  1.019  CALL         Sub LeCroy WS-GPIB Setup
  1.020  CALL         Sub LeCroy WS-GPIB Initialization

  1.021  MATH         L[1] = ZCMPI(@Manufacturer, "LECROY")
  1.022  MATH         L[2] = ZCMPI(@ModelNum, "WR44Xi")

  1.023  IF           NOT(L[1]) || NOT(L[2])
  1.024  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.024  DISP         not a LeCroy WR44Xi!
  1.025  END
  1.026  ENDIF

  1.027  HEAD         EQUIPMENT REQUIREMENTS
  1.028  OPBR         -z Do you want to REVIEW the list of additional
  1.028  OPBR         equipment and/or accessories required?

  1.029  IF           MEM1
  1.030  DISP         The following additional equipment and/or
  1.030  DISP         accessories are required:
  1.030  DISP
  1.030  DISP         - Cable, 50 Ohm, BNC(m)-(m)
  1.030  DISP         - BNC female to double stacking banana plug, Pomona 1269
  1.031  ENDIF

# Set the system confidence level to 95%.
  1.032  MATH         @SysConf = 2
  1.033  MATH         @DevName = "Fluke 5500A"

  1.034  CALL         Sub LeCroy WRXi Set BW & Number of Channels

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   CHANNEL INPUT IMPEDANCE(CH1)       PEAK-PEAK NOISE LEVEL(CH1)
#    3.   CHANNEL INPUT IMPEDANCE(CH2)       PEAK-PEAK NOISE LEVEL(CH2)
#    4.   CHANNEL INPUT IMPEDANCE(CH3)       PEAK-PEAK NOISE LEVEL(CH3)
#    5.   CHANNEL INPUT IMPEDANCE(CH4)       PEAK-PEAK NOISE LEVEL(CH4)
#    6.   EXTERNAL INPUT IMPEDANCE           LEAKAGE CURRENT(CH1)
#    7.   LEAKAGE CURRENT(CH1)               LEAKAGE CURRENT(CH2)
#    8.   LEAKAGE CURRENT(CH2)               LEAKAGE CURRENT(CH3)
#    9.   LEAKAGE CURRENT(CH3)               LEAKAGE CURRENT(CH4)
#   10.   LEAKAGE CURRENT(CH4)               EXTERNAL TRIGGER LEAKAGE CURRENT
#   11.   EXTERNAL TRIGGER LEAKAGE CURRENT   EXTERNAL INPUT IMPEDANCE
#   12.   PEAK-PEAK NOISE LEVEL(CH1)         CHANNEL INPUT IMPEDANCE(CH1)
#   13.   PEAK-PEAK NOISE LEVEL(CH2)         DC GAIN ACC(CH1)
#   14.   PEAK-PEAK NOISE LEVEL(CH3)         OFFSET ACC(CH1)
#   15.   PEAK-PEAK NOISE LEVEL(CH4)         BANDWIDTH(CH1)
#   16.   DC GAIN ACC(CH1)                   TRIGGER LEVEL(CH1)
#   17.   DC GAIN ACC(CH2)                   TIME BASE
#   18.   DC GAIN ACC(CH3)                   CHANNEL INPUT IMPEDANCE(CH2)
#   19.   DC GAIN ACC(CH4)                   DC GAIN ACC(CH2)
#   20.   OFFSET ACC(CH1)                    OFFSET ACC(CH2)
#   21.   OFFSET ACC(CH2)                    BANDWIDTH(CH2)
#   22.   OFFSET ACC(CH3)                    TRIGGER LEVEL(CH2)
#   23.   OFFSET ACC(CH4)                    CHANNEL INPUT IMPEDANCE(CH3)
#   24.   BANDWIDTH(CH1)                     DC GAIN ACC(CH3)
#   25.   BANDWIDTH(CH2)                     OFFSET ACC(CH3)
#   26.   BANDWIDTH(CH3)                     BANDWIDTH(CH3)
#   27.   BANDWIDTH(CH4)                     TRIGGER LEVEL(CH3)
#   28.   TRIGGER LEVEL(CH1)                 CHANNEL INPUT IMPEDANCE(CH4)
#   29.   TRIGGER LEVEL(CH2)                 DC GAIN ACC(CH4)
#   30.   TRIGGER LEVEL(CH3)                 OFFSET ACC(CH4)
#   31.   TRIGGER LEVEL(CH4)                 BANDWIDTH(CH4)
#   32.   TIME BASE                          TRIGGER LEVEL(CH4)

  1.035  CALL         Sub LeCroy WRXi Self-Test IEEE

  1.036  IF           @Abort
  1.037  END
  1.038  ENDIF

  1.039  JMPL         PEAK_PEAK_NOISE_LEVEL

  1.040  LABEL        CHANNEL_INPUT_IMPEDANCE_CH1
  1.041  MATH         @Chan = 1
  1.042  CALL         Sub LeCroy WRXi (1 yr) Chan In Impedance IEEE /5500+S6
  1.043  JMPL         DC_GAIN_ACC_CH1

  1.044  LABEL        CHANNEL_INPUT_IMPEDANCE_CH2
  1.045  MATH         @Chan = 2
  1.046  CALL         Sub LeCroy WRXi (1 yr) Chan In Impedance IEEE /5500+S6
  1.047  JMPL         DC_GAIN_ACC_CH2

  1.048  LABEL        CHANNEL_INPUT_IMPEDANCE_CH3
  1.049  MATH         @Chan = 3
  1.050  CALL         Sub LeCroy WRXi (1 yr) Chan In Impedance IEEE /5500+S6
  1.051  JMPL         DC_GAIN_ACC_CH3

  1.052  LABEL        CHANNEL_INPUT_IMPEDANCE_CH4
  1.053  MATH         @Chan = 4
  1.054  CALL         Sub LeCroy WRXi (1 yr) Chan In Impedance IEEE /5500+S6
  1.055  JMPL         DC_GAIN_ACC_CH4

  1.056  LABEL        EXT_INPUT_IMPEDANCE
  1.057  MATH         @Chan = 5
  1.058  CALL         Sub LeCroy WRXi (1 yr) Ext In Impedance IEEE /5500+S6
  1.059  JMPL         CHANNEL_INPUT_IMPEDANCE_CH1

  1.060  LABEL        CHANNAL_LEAKAGE_CURRENT
  1.061  MATH         @Chan = 1
  1.062  CALL         Sub LeCroy WRXi (1 yr) Chan Leakage Current IEEE /DMM
  1.063  MATH         @Chan = 2
  1.064  CALL         Sub LeCroy WRXi (1 yr) Chan Leakage Current IEEE /DMM
  1.065  MATH         @Chan = 3
  1.066  CALL         Sub LeCroy WRXi (1 yr) Chan Leakage Current IEEE /DMM
  1.067  MATH         @Chan = 4
  1.068  CALL         Sub LeCroy WRXi (1 yr) Chan Leakage Current IEEE /DMM
  1.069  MATH         @Chan = 5
  1.070  CALL         Sub LeCroy WRXi (1 yr) Ext Leakage Current IEEE /DMM
  1.071  JMPL         EXT_INPUT_IMPEDANCE

  1.072  LABEL        PEAK_PEAK_NOISE_LEVEL
  1.073  MATH         @Chan = 1
  1.074  CALL         Sub LeCroy WRXi (1 yr) Peak-Peak Noise Level IEEE
  1.075  MATH         @Chan = 2
  1.076  CALL         Sub LeCroy WRXi (1 yr) Peak-Peak Noise Level IEEE
  1.077  MATH         @Chan = 3
  1.078  CALL         Sub LeCroy WRXi (1 yr) Peak-Peak Noise Level IEEE
  1.079  MATH         @Chan = 4
  1.080  CALL         Sub LeCroy WRXi (1 yr) Peak-Peak Noise Level IEEE
  1.081  JMPL         CHANNAL_LEAKAGE_CURRENT

  1.082  LABEL        DC_GAIN_ACC_CH1
  1.083  MATH         @Chan = 1
  1.084  CALL         Sub LeCroy WRXi (1 yr) DC Gain Acc IEEE /5500+S6
  1.085  JMPL         OFFSET_ACC_CH1

  1.086  LABEL        DC_GAIN_ACC_CH2
  1.087  MATH         @Chan = 2
  1.088  CALL         Sub LeCroy WRXi (1 yr) DC Gain Acc IEEE /5500+S6
  1.089  JMPL         OFFSET_ACC_CH2

  1.090  LABEL        DC_GAIN_ACC_CH3
  1.091  MATH         @Chan = 3
  1.092  CALL         Sub LeCroy WRXi (1 yr) DC Gain Acc IEEE /5500+S6
  1.093  JMPL         OFFSET_ACC_CH3

  1.094  LABEL        DC_GAIN_ACC_CH4
  1.095  MATH         @Chan = 4
  1.096  CALL         Sub LeCroy WRXi (1 yr) DC Gain Acc IEEE /5500+S6
  1.097  JMPL         OFFSET_ACC_CH4

  1.098  LABEL        OFFSET_ACC_CH1
  1.099  MATH         @Chan = 1
  1.100  CALL         Sub LeCroy WRXi (1 yr) Offset Acc IEEE /5500+S6
  1.101  JMPL         BANDWIDTH_CH1

  1.102  LABEL        OFFSET_ACC_CH2
  1.103  MATH         @Chan = 2
  1.104  CALL         Sub LeCroy WRXi (1 yr) Offset Acc IEEE /5500+S6
  1.105  JMPL         BANDWIDTH_CH2

  1.106  LABEL        OFFSET_ACC_CH3
  1.107  MATH         @Chan = 3
  1.108  CALL         Sub LeCroy WRXi (1 yr) Offset Acc IEEE /5500+S6
  1.109  JMPL         BANDWIDTH_CH3

  1.110  LABEL        OFFSET_ACC_CH4
  1.111  MATH         @Chan = 4
  1.112  CALL         Sub LeCroy WRXi (1 yr) Offset Acc IEEE /5500+S6
  1.113  JMPL         BANDWIDTH_CH4

  1.114  LABEL        BANDWIDTH_CH1
  1.115  MATH         @Chan = 1
  1.116  CALL         Sub LeCroy WRXi (1 yr) Bandwidth IEEE /5500+S6
  1.117  JMPL         TRIGGER_LEVEL_CH1

  1.118  LABEL        BANDWIDTH_CH2
  1.119  MATH         @Chan = 2
  1.120  CALL         Sub LeCroy WRXi (1 yr) Bandwidth IEEE /5500+S6
  1.121  JMPL         TRIGGER_LEVEL_CH2

  1.122  LABEL        BANDWIDTH_CH3
  1.123  MATH         @Chan = 3
  1.124  CALL         Sub LeCroy WRXi (1 yr) Bandwidth IEEE /5500+S6
  1.125  JMPL         TRIGGER_LEVEL_CH3

  1.126  LABEL        BANDWIDTH_CH4
  1.127  MATH         @Chan = 4
  1.128  CALL         Sub LeCroy WRXi (1 yr) Bandwidth IEEE /5500+S6
  1.129  JMPL         TRIGGER_LEVEL_CH4

  1.130  LABEL        TRIGGER_LEVEL_CH1
  1.131  MATH         @Chan = 1
  1.132  CALL         Sub LeCroy WRXi (1 yr) Trigger Level IEEE /5500+S6
  1.133  JMPL         TIME_BASE

  1.134  LABEL        TRIGGER_LEVEL_CH2
  1.135  MATH         @Chan = 2
  1.136  CALL         Sub LeCroy WRXi (1 yr) Trigger Level IEEE /5500+S6
  1.137  JMPL         CHANNEL_INPUT_IMPEDANCE_CH3

  1.138  LABEL        TRIGGER_LEVEL_CH3
  1.139  MATH         @Chan = 3
  1.140  CALL         Sub LeCroy WRXi (1 yr) Trigger Level IEEE /5500+S6
  1.141  JMPL         CHANNEL_INPUT_IMPEDANCE_CH4

  1.142  LABEL        TRIGGER_LEVEL_CH4
  1.143  MATH         @Chan = 4
  1.144  CALL         Sub LeCroy WRXi (1 yr) Trigger Level IEEE /5500+S6
  1.145  JMPL         END

  1.146  LABEL        TIME_BASE
  1.147  MATH         @Chan = 1
  1.148  CALL         Sub LeCroy WRXi (1 yr) Time Base Acc IEEE /5500+S6
  1.149  JMPL         CHANNEL_INPUT_IMPEDANCE_CH2

  1.150  LABEL        END
  1.151  DISP         V E R I F I C A T I O N   C O M P L E T E
  1.152  END